Package tigase.eventbus.impl

## Class ReflectEventRoutingSelector

- java.lang.Object
- - tigase.eventbus.impl.ReflectEventRoutingSelector

- All Implemented Interfaces:
    `EventRoutingSelector`

      public class ReflectEventRoutingSelector
      extends java.lang.Object
      implements EventRoutingSelector

  This class is implementation of `EventRoutingSelector` used when this selector is created based on annotated method of consumer class.
  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectEventRoutingSelector​(java.lang.Class eventClass, java.lang.Object consumer, java.lang.reflect.Method method)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.Class` | `getEventClass()` | Returns class of event for which it modifies delivery
    `java.util.Collection<Subscription>` | `getSubscriptions​(java.lang.Object event, java.util.Collection<Subscription> subscriptions)` | Method responsible for actual modification of delivery by adding and removing items to Subscriptions collection
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectEventRoutingSelector

          public ReflectEventRoutingSelector​(java.lang.Class eventClass,
                                             java.lang.Object consumer,
                                             java.lang.reflect.Method method)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getEventClass

          public java.lang.Class getEventClass()

      Description copied from interface: `EventRoutingSelector`
      Returns class of event for which it modifies delivery
      Specified by:
        `getEventClass` in interface `EventRoutingSelector`

    - #### getSubscriptions

          public java.util.Collection<Subscription> getSubscriptions​(java.lang.Object event,
                                                                     java.util.Collection<Subscription> subscriptions)

      Description copied from interface: `EventRoutingSelector`
      Method responsible for actual modification of delivery by adding and removing items to Subscriptions collection
      Specified by:
        `getSubscriptions` in interface `EventRoutingSelector`
      Parameters:
        `event` - instance of event
        `subscriptions` - original list of subscriptions

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`